# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-22 07:22
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('verbose_name', models.CharField(db_index=True, max_length=250, verbose_name='Name')),
                ('verbose_name_plural', models.CharField(db_index=True, max_length=250, verbose_name='Name')),
            ],
            options={
                'verbose_name_plural': 'Categories',
                'verbose_name': 'Category',
            },
        ),
        migrations.CreateModel(
            name='Code',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(db_index=True, max_length=250, verbose_name='Identifiant')),
                ('qr_code', models.CharField(blank=True, db_index=True, max_length=300, null=True, verbose_name='QR code')),
                ('bar_code', models.CharField(blank=True, db_index=True, max_length=250, null=True, verbose_name='Bar code')),
                ('rfid_code', models.CharField(blank=True, db_index=True, max_length=250, null=True, verbose_name='RFID')),
            ],
            options={
                'verbose_name_plural': 'Codes',
                'verbose_name': 'Code',
            },
        ),
        migrations.CreateModel(
            name='Element',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=250, verbose_name='Name')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('serial', models.CharField(blank=True, db_index=True, default=None, max_length=250, null=True, verbose_name='Serial number')),
                ('reference', models.CharField(blank=True, db_index=True, default=None, max_length=250, null=True, verbose_name='Reference')),
                ('category', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='inventicode.Category')),
                ('owner', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Owner')),
            ],
            options={
                'verbose_name_plural': 'Referenced objects',
                'verbose_name': 'Referenced object',
            },
        ),
        migrations.CreateModel(
            name='PrintPaper',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=250, verbose_name='Name')),
                ('margin_top', models.IntegerField(blank=True, help_text='(mm)', verbose_name='Margin top')),
                ('margin_left', models.IntegerField(blank=True, help_text='(mm)', verbose_name='Margin left')),
                ('column_space', models.IntegerField(blank=True, default=5, help_text='(mm)', verbose_name='Space between columns')),
                ('row_space', models.IntegerField(blank=True, default=5, help_text='(mm)', verbose_name='Space between rows')),
                ('column_number', models.IntegerField(blank=True, default=1, help_text='(mm)', verbose_name='Number of columns')),
                ('row_number', models.IntegerField(blank=True, default=1, help_text='(mm)', verbose_name='Number of rows')),
            ],
            options={
                'verbose_name_plural': 'Print papers',
                'verbose_name': 'Print paper',
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=250, verbose_name='Name')),
            ],
            options={
                'verbose_name_plural': 'States',
                'verbose_name': 'State',
            },
        ),
        migrations.AddField(
            model_name='element',
            name='state',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='inventicode.State'),
        ),
    ]
